package org.bench4q.share.models.master.plugin;

import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlElement;

@XmlRootElement(name = "ui")
public class PluginUIModel {
	private PluginInfoModel pluginInfoModel;
	private List<BehaviorInfoModel> behaviorInfos;
	private Date createTimeDate;

	@XmlElement
	public PluginInfoModel getPluginInfoModel() {
		return pluginInfoModel;
	}

	public void setPluginInfoModel(PluginInfoModel pluginInfoModel) {
		this.pluginInfoModel = pluginInfoModel;
	}

	@XmlElementWrapper
	@XmlElement(name = "behaviorInfoModel", type = BehaviorInfoModel.class)
	public List<BehaviorInfoModel> getBehaviorInfos() {
		return behaviorInfos;
	}

	public void setBehaviorInfos(List<BehaviorInfoModel> behaviorInfos) {
		this.behaviorInfos = behaviorInfos;
	}

	@XmlElement
	public Date getCreateTimeDate() {
		return createTimeDate;
	}

	public void setCreateTimeDate(Date createTimeDate) {
		this.createTimeDate = createTimeDate;
	}

}
